<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.SysSuggestionTypeMapper">

    <!-- 表字段 -->
    <sql id="baseColumns">
        t.id_ AS id
        , t.name_ AS `name`
        , t.del_flag_ AS delFlag
        , t.create_by_ AS createBy
        , t.update_by_ AS updateBy
        , t.update_time_ AS updateTime
        , t.create_time_ AS createTime
    </sql>

    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.entity.SysSuggestionType">
        SELECT
        <include refid="baseColumns"/>
        FROM sys_suggestion_type t
        where del_flag_ = 0
        order by t.create_time_ desc
    </select>

</mapper>
